Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 29-05-2014 10:40:17

mksmn
Membre
Lieu : Ile de France
Distrib. : Debian Gnu-Linux Jessie 8.x & Backports
Noyau : Noyau Linux 3.16.0-4-686-pae
(G)UI : Xfce 4.10 & Mate 1.8.1
Inscription : 30-06-2008

open-jdk java j'en ai besoin?

salut,

sur mon eeepc asus sous wheezy avec xfce, j'ai open-jdk7 d'installer et java common également, je ne fait pas de programmation, alors ai-je besoin de ces paquets?

en fait à quoi ils servent?

Merci et bon week-end prolongé.:o

Debian, c'est bien.
Adhérent APRIL 9141
Fan de Norah Jones, depuis toujours et pour toujours.

Hors ligne

#2 29-05-2014 10:45:07

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : open-jdk java j'en ai besoin?

Bonjour,

Si tu utilises LibreOffice, tu n'as éventuellement besoin que des runtime : openjdk-7-jre ou java5-runtime par exemple.

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#3 29-05-2014 10:49:00

mksmn
Membre
Lieu : Ile de France
Distrib. : Debian Gnu-Linux Jessie 8.x & Backports
Noyau : Noyau Linux 3.16.0-4-686-pae
(G)UI : Xfce 4.10 & Mate 1.8.1
Inscription : 30-06-2008

Re : open-jdk java j'en ai besoin?

salut paskal,

l'un ou l'autre? oui j'utilise libreoffice

Merci

Debian, c'est bien.
Adhérent APRIL 9141
Fan de Norah Jones, depuis toujours et pour toujours.

Hors ligne

#4 29-05-2014 10:57:07

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : open-jdk java j'en ai besoin?

Après vérification, je n'ai que openjdk-6-jre,  java-common et libreoffice-java-common .

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#5 29-05-2014 11:00:59

mksmn
Membre
Lieu : Ile de France
Distrib. : Debian Gnu-Linux Jessie 8.x & Backports
Noyau : Noyau Linux 3.16.0-4-686-pae
(G)UI : Xfce 4.10 & Mate 1.8.1
Inscription : 30-06-2008

Re : open-jdk java j'en ai besoin?

re,

ok merci

Debian, c'est bien.
Adhérent APRIL 9141
Fan de Norah Jones, depuis toujours et pour toujours.

Hors ligne

#6 29-05-2014 16:31:01

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : open-jdk java j'en ai besoin?

LibreOffice fonctionne très bien sans aucune trace de Java sur mon système.

Jouer sous Debian ? Facile !

Hors ligne

#7 29-05-2014 17:09:51

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : open-jdk java j'en ai besoin?

Tu utilises base ?

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#8 29-05-2014 17:23:31

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : open-jdk java j'en ai besoin?

Je n'ai pas installé le méta-paquet libreoffice, mais directement les modules : libreoffice-writer, libreoffice-calc…
Je n'ai pas installé libreoffice-base, mais je viens de vérifier et il peut s'installer sans Java (dépendance recommandée mais pas essentielle).
Par contre je ne m'avancerai pas au niveau de ses fonctionnalités dans ce cas.

Ça fait partie des projets du fork LibreOffice de se débarrasser progressivement de Java, mais je ne sais pas où ils en sont.

Jouer sous Debian ? Facile !

Hors ligne

#9 29-05-2014 17:36:51

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : open-jdk java j'en ai besoin?

Ben sous daube, impossible de se connecter à une base sans avoir choisi un runtime mais je n'ai pas cherché plus loin.

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#10 29-05-2014 18:32:08

Invité-5
Banni(e)

Re : open-jdk java j'en ai besoin?

/se gaffer  hmm

#11 31-05-2014 13:43:30

xKiM
Membre
Inscription : 31-05-2014

Re : open-jdk java j'en ai besoin?

Libreoffice utilise un driver JDBC pour la connexion sur les bases. Donc si vous voulez utilisez LibreOffice Base pour cela il faut openjdk. Je crois que pour utiliser les macros vous en avez besoin aussi mais je n'en suis pas sûr...

Hors ligne

#12 31-05-2014 13:52:12

mksmn
Membre
Lieu : Ile de France
Distrib. : Debian Gnu-Linux Jessie 8.x & Backports
Noyau : Noyau Linux 3.16.0-4-686-pae
(G)UI : Xfce 4.10 & Mate 1.8.1
Inscription : 30-06-2008

Re : open-jdk java j'en ai besoin?

salut,

merci xKim

Debian, c'est bien.
Adhérent APRIL 9141
Fan de Norah Jones, depuis toujours et pour toujours.

Hors ligne

#13 31-05-2014 13:58:13

xKiM
Membre
Inscription : 31-05-2014

Re : open-jdk java j'en ai besoin?

De rien vérifie pour les macros quand même, je crois que j'ai dû l'installer quand j'en ai eu besoin mais pas sûr...

Hors ligne

#14 31-05-2014 17:28:15

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : open-jdk java j'en ai besoin?

Je confirme que les macros ne peuvent pas être utilisées sans un client Java.

Jouer sous Debian ? Facile !

Hors ligne

#15 31-05-2014 22:01:15

mksmn
Membre
Lieu : Ile de France
Distrib. : Debian Gnu-Linux Jessie 8.x & Backports
Noyau : Noyau Linux 3.16.0-4-686-pae
(G)UI : Xfce 4.10 & Mate 1.8.1
Inscription : 30-06-2008

Re : open-jdk java j'en ai besoin?

salut,

merci vv222, je vais donc le laisser.

Debian, c'est bien.
Adhérent APRIL 9141
Fan de Norah Jones, depuis toujours et pour toujours.

Hors ligne

Pied de page des forums